export declare type NotificationPlacement = 'topLeft' | 'topRight' | 'bottomLeft' | 'bottomRight';
export interface ConfigProps<P = NotificationPlacement> {
    top: number;
    bottom: number;
    duration: number;
    placement: P;
    getContainer?: () => HTMLElement;
    maxCount?: number;
    foldCount?: number;
    icons: {
        success: string;
        info: string;
        error: string;
        warning: string;
        loading: string;
    };
}
export interface NotificationInterface {
    notice(noticeProps: any): any;
    removeNotice(key: string): any;
    destroy(): any;
}
export interface NotificationManagerType {
    config: ConfigProps;
    instances: Map<string, NotificationInterface | Promise<NotificationInterface>>;
    remove(key: string): any;
    clear(): any;
    getUuid(): string;
}
declare const manager: NotificationManagerType;
export default manager;
